<?php

namespace CouponsPlus\App\Coupon\Attributes\Abilities;

interface AttributeValueDataFactory
{
    public function setAttributeData(AttributeData $attributeData);
    public function create($value): AttributeValueData;
}